Subject: Re: 23.0.60; Fold case error in isearch / highlight-regexp

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Fri, 29 Aug 2008 17:43:23 +0200

Chong Yidong wrote:
>> If I start isearch and grab a word
>>
>>   C-s C-w
>>
>> and highlight this with
>>
>>   M-s o h r
>>
>> then if the word contains upper case letters there will be no highlight.
>>
>> This is on w32 with a fresh checkout, but using my patched version of
>> Emacs (which I hope does not matter here).
> 
> I don't understand this recipe.  For instance, from the NEWS buffer,
> `C-s C-w' grabs `GNU' into isearch, and `M-s o' displays a window
> showing occurrences of that word in the buffer.  What is `h r' for?
> 
> Please provide a recipe recipe, thanks.

Uhm, did not Jurij implement that? Oh, eh sorry:

  M-s h r

for highlighting a regexp directly from isearch.